import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/quartzBase/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/quartzBase',
    method: 'post',
    data: obj
  })
}

export function getExecuteClass(code) {
  return request({
    url: '/quartzBase/executeClass/' + code,
    method: 'get'
  })
}

export function getCode(code) {
  return request({
    url: '/quartzBase/code/' + code,
    method: 'get'
  })
}


export function getQuartzBaseAll() {
  return request({
    url: '/quartzBase/all',
    method: 'get'
  })
}




export function delObj(id) {
  return request({
    url: '/quartzBase/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/quartzBase',
    method: 'put',
    data: obj
  })

}
